# dmd.lambdacomp

Implements the serialization of a lambda function.

#### Discussion

The serializationis computed by visiting the abstract syntax subtree of the given lambda function. The serialization is a string which contains the type of the parameters and the string represantation of the lambda expression.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: lambdacomp.d

Documentation: https://dlang.org/phobos/dmd_lambdacomp.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/lambdacomp.d

- `isSameFuncLiteral`

  #### Declaration

  `bool `isSameFuncLiteral`(FuncLiteralDeclaration `l1`, FuncLiteralDeclaration `l2`, Scope* `sc`);`

  Compares 2 lambda functions described by their serialization.

  #### Parameters

  `FuncLiteralDeclaration `l1`` | first lambda to be compared
  `FuncLiteralDeclaration `l2`` | second lambda to be compared
  `Scope* `sc`` | the scope where the lambdas are compared

  #### Return Value

  `true` if the 2 lambda functions are equal, `false` otherwise